hxt-9.1.2: A collection of tools for processing XML with Haskell.

Portability | portable
Stability | experimental
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)

Control.Arrow.NTreeEdit

Description

arrows for efficient editing of rose trees

Synopsis

- editNTreeA :: [IfThen (LA (NTree b) c) (LA (NTree b) (NTree b))] -> LA (NTree b) (NTree b)
- fmapNTreeA :: (b -> Maybe b) -> LA (NTree b) (NTree b)

# Documentation

editNTreeA :: [IfThen (LA (NTree b) c) (LA (NTree b) (NTree b))] -> LA (NTree b) (NTree b)

Edit parts of a rose tree

The subtrees to be modified are selected by the first part of the IfThen pairs The modification by the second part

fmapNTreeA :: (b -> Maybe b) -> LA (NTree b) (NTree b)